FABS(3)

NAME
fabs, fabsf, fabsl - floating-point absolute value functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
fabs(double x);
float
fabsf(float x);
long double
fabsl(long double x);

DESCRIPTION
The fabs(), fabsf() and fabsl() functions compute the absolute value of a floating-point number x.

RETURN VALUES
The fabs(), fabsf() and fabsl() functions return the absolute value of x.

SEE ALSO
abs(3), ceil(3), floor(3), ieee(3), math(3), rint(3)

STANDARDS
The fabs() function conforms to isoC. The fabsf() and fabsl() functions conform to isoC-99.